package com.fs.crm.mapper;

import java.util.List;
import com.fs.crm.domain.CrmCustomerAssist;
import com.fs.crm.param.CrmCustomerAssistDeLParam;
import org.apache.ibatis.annotations.Param;

/**
 * 客户员工协作Mapper接口
 *
 * @author fs
 * @date 2025-05-27
 */
public interface CrmCustomerAssistMapper
{
    /**
     * 查询客户员工协作
     *
     * @param id 客户员工协作ID
     * @return 客户员工协作
     */
    public CrmCustomerAssist selectCrmCustomerAssistById(Long id);

    /**
     * 查询客户员工协作列表
     *
     * @param crmCustomerAssist 客户员工协作
     * @return 客户员工协作集合
     */
    public List<CrmCustomerAssist> selectCrmCustomerAssistList(CrmCustomerAssist crmCustomerAssist);

    /**
     * 新增客户员工协作
     *
     * @param crmCustomerAssist 客户员工协作
     * @return 结果
     */
    public int insertCrmCustomerAssist(CrmCustomerAssist crmCustomerAssist);

    /**
     * 修改客户员工协作
     *
     * @param crmCustomerAssist 客户员工协作
     * @return 结果
     */
    public int updateCrmCustomerAssist(CrmCustomerAssist crmCustomerAssist);

    /**
     * 删除客户员工协作
     *
     * @param id 客户员工协作ID
     * @return 结果
     */
    public int deleteCrmCustomerAssistById(Long id);

    /**
     * 批量删除客户员工协作
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteCrmCustomerAssistByIds(Long[] ids);

    List<String> selectCompanyUserNameByCustomerId(@Param("customerId") Long customerId);

    int removeByCustomer(@Param("maps") CrmCustomerAssistDeLParam param);

    int deleteCrmCustomerAssistByCustomerId(Long customerId);
}
